Make WordPress Core

Opened 15 months ago

Closed 15 months ago

Last modified 15 months ago

#57806 closed defect (bug) (invalid)

Updating plugins Error -1

Reported by: zalo113's profile zalo113 Owned by:
Milestone: Priority: normal
Severity: normal Version: 6.1.1
Component: Upgrade/Install Keywords:
Focuses: Cc:

Description

Hi, i am trying to update plugins in all my sites, they are all on the same server, but i get an error when maintenance mode is activated, i get "-1" on screen and then i have to delete maintenance file to recover sites.
Search already the internet but could not find anything about this.
Leave a screenshot.

Attachments (2)

Captura de pantalla 2023-02-25 a la(s) 02.18.27.png (222.0 KB) - added by zalo113 15 months ago.
screenshot of site www.sdzeta.com.uy
Captura de pantalla 2023-02-25 a la(s) 02.23.37.png (395.2 KB) - added by zalo113 15 months ago.

Download all attachments as: .zip

Change History (15)

@zalo113
15 months ago

screenshot of site www.sdzeta.com.uy

#1 @costdev
15 months ago

  • Component changed from Plugins to Upgrade/Install
  • Severity changed from major to normal

#2 @fahimmurshed
15 months ago

+1
When I attempted to update the plugin or install a new plugin, I had the same issue.

#3 follow-up: @afragen
15 months ago

  • Keywords reporter-feedback added

For those having this issue can you provide specific details to reproduce this behavior?

Does it happen on a base installation with no plugins and a default theme?

#4 in reply to: ↑ 3 ; follow-up: @snewpers
15 months ago

Replying to afragen:

For those having this issue can you provide specific details to reproduce this behavior?

Does it happen on a base installation with no plugins and a default theme?

For me it is unclear when it started. The base installation went as fine as expected (removed all themes except 2023, removed aksimet and hello dolly). Installed the Astra theme and after that the starter theme. It did install the theme, starter and the plugins that came with it without a problem. Problems started when I got a notification that there was an update available for a plugin. That update failed to work, I think it was elementor that I tried to update first.

I did get it back to work once by creating a new plugins folder and moving the plugins there, but doing that again does not fix it.

Tried going back to the base theme without any plugins active but problem remains. Then figured it could be something with my WAMP64 environment so I duplicated the site to a live test server, but that did not fix it either.

Not sure where to look now since there is not a lot, if any, info on error -1.

#5 in reply to: ↑ 4 ; follow-up: @afragen
15 months ago

Replying to snewpers:

Replying to afragen:

For those having this issue can you provide specific details to reproduce this behavior?

Does it happen on a base installation with no plugins and a default theme?

For me it is unclear when it started. The base installation went as fine as expected (removed all themes except 2023, removed aksimet and hello dolly). Installed the Astra theme and after that the starter theme. It did install the theme, starter and the plugins that came with it without a problem. Problems started when I got a notification that there was an update available for a plugin. That update failed to work, I think it was elementor that I tried to update first.

I did get it back to work once by creating a new plugins folder and moving the plugins there, but doing that again does not fix it.

Tried going back to the base theme without any plugins active but problem remains. Then figured it could be something with my WAMP64 environment so I duplicated the site to a live test server, but that did not fix it either.

Not sure where to look now since there is not a lot, if any, info on error -1.

So Astra Starter theme is active. What plugins are active and which plugin shows an update?

When you get the error, if you switch back to a Astra theme does the issue resolve? If not, when you switch back to a default theme does the issue resolve?

This ticket was mentioned in Slack in #forums by pbiron. View the logs.


15 months ago

#7 in reply to: ↑ 5 @snewpers
15 months ago

So Astra Starter theme is active. What plugins are active and which plugin shows an update?

When you get the error, if you switch back to a Astra theme does the issue resolve? If not, when you switch back to a default theme does the issue resolve?

Correct, the starter theme is active but I did go back to the basic WP'23 theme with the plugins deactivated, so basically a 'clean' WP, it didn't resolve the issue. I tried installing hello dolly with the basic theme activated but that also failed. Switching back to Astra did not resolve the issue.

Currently I have following plugins active:

Duplicator (manual install)
Elementor (came with Astra)*
Starter Templates (via Astra)*
WP-Optimize (manual install)
WP-forms lite (base I think)
Yoast Duplicate Post (installed right after Astra)

The ones with an asterisk are currently waiting for an update.
I now notice that the counter for updates says 3 updates waiting, two are plugins and one is translation. WP is the latest version.

#8 follow-up: @afragen
15 months ago

So I have a new installation WP 6.1.1, PHP 8.1.9, ngnix, running on LocalWP.

I have installed Astra theme (active)
Plugins installed and active: duplicator, astra-sites, wpforms-lite, yoast-duplicator-post, elementor

I decremented astra-sites so an update would show. I updated successfully.

I was able to install akismet without issue.

I cannot seem to replicate your issues.

I do not know what you mean when you state "the starter theme is active". What theme?

#9 in reply to: ↑ 8 @snewpers
15 months ago

Replying to afragen:

So I have a new installation WP 6.1.1, PHP 8.1.9, ngnix, running on LocalWP.

I have installed Astra theme (active)
Plugins installed and active: duplicator, astra-sites, wpforms-lite, yoast-duplicator-post, elementor

I decremented astra-sites so an update would show. I updated successfully.

I was able to install akismet without issue.

I cannot seem to replicate your issues.

I do not know what you mean when you state "the starter theme is active". What theme?

My mistake, I meant templates. When you go to Astra, on the right side you see the options for starter templates. It's a plugin that gives you access to free and paid starter templates.

Too bad you can't replicate it. Unless it's the wp-optimize plugin or the astra starter templates I really have no clue where to look for a solution.

Thanks for helping!

#11 in reply to: ↑ 10 @snewpers
15 months ago

Replying to afragen:

After some sleuthing by @pbiron see if this isn’t the issue.

https://wordpress.org/support/topic/plugin-updates-and-new-installations-fail-1-in-error-message/

Awesome! That did the trick! Never thought about updating the plugin while it was deactivated. It did give me an authorization error but after activating it, everything was ok again. Wish I knew this hours ago :)

Thank you very much @afragen! I did not start this topic, but for me it's resolved!

#12 @afragen
15 months ago

  • Keywords reporter-feedback removed
  • Milestone Awaiting Review deleted
  • Resolution set to invalid
  • Status changed from new to closed

Resolving this as invalid as it seems to be a plugin issue.

#13 in reply to: ↑ 10 @zalo113
15 months ago

Replying to afragen:

After some sleuthing by @pbiron see if this isn’t the issue.

https://wordpress.org/support/topic/plugin-updates-and-new-installations-fail-1-in-error-message/

Thanks a lot guys, this solve the problem.

Note: See TracTickets for help on using tickets.